Arch Frame/de: Difference between revisions

From FreeCAD Documentation
(Created page with "==Beschreibung==")
(Created page with "Das Rahmen-Werkzeug wird zur Erstellung aller Arten von Rahmen-Objekten benutzt, die auf einem Profil und einem Layout basieren. Das Profil wird entlang der Kanten des Layouts...")
Line 6: Line 6:
==Beschreibung==
==Beschreibung==


The Frame tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a [[Sketcher Module|sketch]], or a [[Draft Module|draft object]]. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into [[Arch Wall|wall]] or [[Arch Structure|structure]] objects.
Das Rahmen-Werkzeug wird zur Erstellung aller Arten von Rahmen-Objekten benutzt, die auf einem Profil und einem Layout basieren. Das Profil wird entlang der Kanten des Layouts extrudiert, das ein beliebiges 2D-Objekt wie einen [[Sketcher Module/de|Skizzen]]- oder ein [[Draft Module/de|Draft]]-Objekt ist. Das ist besonders nützlich, um Geländer oder Fachwerkwände zu erstellen. Rahmen-Objekte können dann einfach in [[Arch Wall/de|Wand]]- oder [[Arch Structure/de|Struktur]]-Objekte umgewandelt werden.


[[Image:Arch Frame example.jpg|640px]]
[[Image:Arch Frame example.jpg|640px]]

Revision as of 17:57, 16 August 2018

Arch Frame

Menüeintrag
Arch -> Frame
Arbeitsbereich
Arch
Standardtastenkürzel
F R
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Das Rahmen-Werkzeug wird zur Erstellung aller Arten von Rahmen-Objekten benutzt, die auf einem Profil und einem Layout basieren. Das Profil wird entlang der Kanten des Layouts extrudiert, das ein beliebiges 2D-Objekt wie einen Skizzen- oder ein Draft-Objekt ist. Das ist besonders nützlich, um Geländer oder Fachwerkwände zu erstellen. Rahmen-Objekte können dann einfach in Wand- oder Struktur-Objekte umgewandelt werden.

In the above image, a line has been turned into an array, and a frame object has been made using the array as layout, and a circle as profile.

How to use

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench
  2. Select the layout object first, then, with CTRL pressed, select the profile object
  3. Press the Arch Frame button, or press F then R keys

Options

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Properties

  • DatenBase: The layout this frame is based on.
  • DatenProfile: The profile this frame is based on.
  • DatenAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DatenOffset: An optional distance between the layout object and the frame object.
  • DatenRotation: The rotation of the profile around its extrusion axis.

Scripting

The Frame tool can by used in macros and from the python console by using the following function:

makeFrame ( layout,profile )
  • Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
  • Returns the new frame object, or None if the operation failed.

Example:

import Draft, Arch
layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
profile = Draft.makeCircle(.2)
Arch.makeFrame(layout,profile)